Index: gm/tests/run.sh |
=================================================================== |
--- gm/tests/run.sh (revision 8878) |
+++ gm/tests/run.sh (working copy) |
@@ -25,6 +25,8 @@ |
OUTPUT_EXPECTED_SUBDIR=output-expected |
CONFIGS="--config 8888 565" |
+ENCOUNTERED_ANY_ERRORS=0 |
+ |
# Compare contents of all files within directories $1 and $2, |
# EXCEPT for any dotfiles. |
# If there are any differences, a description is written to stdout and |
@@ -38,7 +40,7 @@ |
diff -r --exclude=.* $1 $2 |
if [ $? != 0 ]; then |
echo "failed in: compare_directories $1 $2" |
- exit 1 |
+ ENCOUNTERED_ANY_ERRORS=1 |
borenet
2013/04/26 16:04:09
Alternatively, you could add error messages to thi
epoger
2013/04/26 16:10:55
The question is, what would I put into $ERRORS tha
borenet
2013/04/26 16:12:43
Fair enough.
|
fi |
} |
@@ -171,4 +173,9 @@ |
# Ignore some error types (including ExpectationsMismatch) |
gm_test "--ignoreErrorTypes ExpectationsMismatch NoGpuContext --verbose --hierarchy --match selftest1 $CONFIGS -r $GM_INPUTS/json/different-pixels.json" "$GM_OUTPUTS/ignore-expectations-mismatch" |
-echo "All tests passed." |
+if [ $ENCOUNTERED_ANY_ERRORS == 0 ]; then |
+ echo "All tests passed." |
+ exit 0 |
+else |
+ exit 1 |
+fi |